%define upstream_name    Data-Random
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Data::Random - Perl module to generate random data
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(YAML::Tiny)
BuildArch:  noarch

%description
A module used to generate random data.  Useful mostly for test
programs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
%makeinstall_std

%files
%doc Changes META.json MYMETA.yml README
%dir %{perl_vendorlib}/Data/Random
%{perl_vendorlib}/Data/Random.pm
%{perl_vendorlib}/Data/Random/*
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 365410
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 0.80.0-1.mga3
+ Revision: 297968
- update to 0.08

* Tue Jun 05 2012 jquelin <jquelin> 0.70.0-1.mga3
+ Revision: 254801
- update to 0.07

* Tue Nov 15 2011 jquelin <jquelin> 0.60.0-1.mga2
+ Revision: 167985
- update to 0.06

* Thu Jan 27 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 41941
- mageia rebuild
- imported package perl-Data-Random

